Documentation Index
Fetch the complete documentation index at: https://docs.kalshi.com/llms.txt
Use this file to discover all available pages before exploring further.
All URIs are relative to https://api.elections.kalshi.com/trade-api/v2
| Method | HTTP request | Description |
|---|
| get_structured_target | GET /structured_targets/ | Get Structured Target |
| get_structured_targets | GET /structured_targets | Get Structured Targets |
get_structured_target
GetStructuredTargetResponse get_structured_target(structured_target_id)
Get Structured Target
Endpoint for getting data about a specific structured target by its ID.
Parameters
| Name | Type | Description | Notes |
|---|
| structured_target_id | str | Structured target ID | |
Return type
GetStructuredTargetResponse
HTTP response details
| Status code | Description |
|---|
| 200 | Structured target retrieved successfully |
| 401 | Unauthorized |
| 404 | Not found |
| 500 | Internal server error |
get_structured_targets
GetStructuredTargetsResponse get_structured_targets(ids=ids, type=type, competition=competition, page_size=page_size, cursor=cursor)
Get Structured Targets
Page size (min: 1, max: 2000)
Parameters
| Name | Type | Description | Notes |
|---|
| ids | List[str] | Filter by specific structured target IDs. Pass multiple IDs by repeating the parameter (e.g. `?ids=uuid1&ids=uuid2`). | [optional] |
| type | str | Filter by structured target type | [optional] |
| competition | str | Filter by competition. Matches against the league, conference, division, or tour in the structured target details. | [optional] |
| page_size | int | Number of items per page (min 1, max 2000, default 100) | [optional] [default to 100] |
| cursor | str | Pagination cursor | [optional] |
Return type
GetStructuredTargetsResponse
HTTP response details
| Status code | Description |
|---|
| 200 | Structured targets retrieved successfully |
| 401 | Unauthorized |
| 500 | Internal server error |